কনটেন্টে যান

Gemini Omni Flash 1.1 Text to Video

ইন্টিগ্রেট করুন

মডেল id google/gemini-omni-flash/v1.1/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/google/gemini-omni-flash/v1.1/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

এই অনুরোধ: ০.৮০$ ৮০০ API ক্রেডিট · ≈ ৮৫.৯৭₽ এই পেজে চালান

API কী পান
Google টেক্সট থেকে ভিডিও 4K আউটপুটলিপসিঙ্কদ্রুত৩–১০ s4k পর্যন্ত #stylized#transform#lipsync

স্থানীয় অডিও-সহ সংস্করণ 1.1 text-only ভিডিও জেনারেশন, 360p থেকে 4k পর্যন্ত বেছে নেওয়া যায় এমন রেজোলিউশনসহ

Google · ভিডিও

আপনার প্রথম ফলাফল এখানে আসবে

নিচে একটি রিকোয়েস্ট তৈরি করে আপনার API কী দিয়ে চালান। আউটপুট আমাদের স্টোরেজে কপি করা হয়, চিরকাল বা বিনামূল্যে ৭ দিন পর্যন্ত রাখা হয়।

একটি অনুরোধ তৈরি করুন

মডেল স্কিমা থেকে কন্ট্রোল তৈরি করা হয়। এগুলো পরিবর্তন করলে কোড ও মূল্য আপডেট হয়।

•আবশ্যক 88 / 20000

পছন্দসই ভিডিওর টেক্সট বিবরণ।

aspect_ratio ডিফল্ট 16:9

আউটপুট ভিডিওর aspect ratio।

resolution ডিফল্ট 720p

আউটপুট ভিডিওর জন্য ব্যবহৃত রেজোলিউশন।

ডিফল্ট 8

আউটপুট ভিডিওর দৈর্ঘ্য, সেকেন্ডে পরিমাপ করা।

POST /run/google/gemini-omni-flash/v1.1/text-to-video?wait=20 মূল্য → ০.৮০$
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/google/gemini-omni-flash/v1.1/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

এই অনুরোধ চালান

আপনার key এই ব্রাউজারেই থাকে: এটি শুধু Doitong API-তে পাঠানো হয় এবং Remember টিক দিলে কেবল localStorage-এ সংরক্ষিত হয়। একটি API কী পান

Gemini Omni Flash 1.1 Text to Video সম্পর্কে

কোনো রেফারেন্স মিডিয়া ছাড়াই শুধু একটি টেক্সট প্রম্পট থেকে ভিডিও ক্লিপ তৈরি করে। প্রম্পট সর্বোচ্চ 20000 অক্ষরের হতে পারে এবং সাধারণ ভাষায় ক্যামেরার নড়াচড়া বর্ণনা করতে পারে। 16:9 বা 9:16, 360p, 720p, 1080p বা 4k রেজোলিউশন এবং 3 থেকে 10 সেকেন্ডের দৈর্ঘ্য বেছে নিন (ডিফল্ট 8)। আউটপুট একটি একক ভিডিও অবজেক্ট।

প্যারামিটার

নামধরন ডিফল্টঅনুমোদিত বিবরণ
promptআবশ্যক
ধরনstring
≤ ২০,০০০টি অক্ষর
পছন্দসই ভিডিওর টেক্সট বিবরণ।
aspect_ratioঐচ্ছিক
ধরনenum
ডিফল্ট16:9
16:99:16
আউটপুট ভিডিওর aspect ratio।
resolutionঐচ্ছিক
ধরনenum
ডিফল্ট720p
360p720p1080p4k
আউটপুট ভিডিওর জন্য ব্যবহৃত রেজোলিউশন।
durationঐচ্ছিক
ধরনinteger
ডিফল্ট8
৩ – ১০
আউটপুট ভিডিওর দৈর্ঘ্য, সেকেন্ডে পরিমাপ করা।
আবশ্যক

আউটপুট

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "google/gemini-omni-flash/v1.1/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 800,
    "usd": "0.80",
    "charged": 800,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
আপনার ফাইল, আপনার পছন্দপ্রতিটি outputs[].url আমাদের স্টোরেজে একটি কপি: চিরকাল রাখা হয় (প্রতি GB-মাস অনুযায়ী অর্থপ্রদত্ত) অথবা অ্যাকাউন্ট সেটিংস বা ?storage= অনুযায়ী বিনামূল্যে ৭ দিন পর্যন্ত।
প্রতিটি মডেলে একই গঠনছবি, ভিডিও এবং অডিও—সব ক্ষেত্রেই type, url, content_type, width, height এবং duration। output হলো মডেলের নিজস্ব ফলাফল অবজেক্ট।
আউটপুটের ফিল্ড
video
object {url, content_type, file_name, file_size}মডেল দ্বারা উৎপাদিত ভিডিও।

আরও মডেল: টেক্সট থেকে ভিডিও

AI এজেন্টদের জন্য: এই পৃষ্ঠাটি Markdown হিসেবে এখানে আছে https://doitong.com/bn/developers/models/google/gemini-omni-flash/v1.1/text-to-video.md. সব মডেল ও গাইড: https://doitong.com/developers/llms.txt